Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162181 - RHEL3 test suite rhr2-0.9-14.noarch "CD-ROM(cd-rw)" fails because dvd does not support -tao mode
Summary: RHEL3 test suite rhr2-0.9-14.noarch "CD-ROM(cd-rw)" fails because dvd does no...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: cdrom
Version: 1.8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Will Woods
QA Contact: Rob Landry
URL:
Whiteboard:
Depends On:
Blocks: 156612
TreeView+ depends on / blocked
 
Reported: 2005-06-30 17:03 UTC by Bob Nevin
Modified: 2007-04-18 17:28 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-871
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-20 15:36:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:871 normal SHIPPED_LIVE rhr2 bug fix update 2005-12-20 05:00:00 UTC
Red Hat Product Errata RHBA-2006:0183 normal SHIPPED_LIVE rhr2 bug fix update 2006-01-11 05:00:00 UTC

Description Bob Nevin 2005-06-30 17:03:14 UTC
Description of problem:
Cannot pass cd-rw test becasue the test assumes -tao mode.  DVD supports -sao 
mode.  Test passes OK when you change it to cdrom mode.


Version-Release number of selected component (if applicable):
rhr2-0.9-14.noarch

How reproducible:
100%

Steps to Reproduce:
1.install RHEL3 X86_64 or i386(32bit)
2.copy the test suite rhr2-0.9-14.noarch.rpm,rhr2-external-0.9-
14.noarch.rpm,rhr2-tests-0.9-14.noarch.rpm to /tmp
3.install the test suite rpm -ivh rhr2*
4.config the test.conf
5.execute test suite redhat-ready
6.select CD-ROM test 
7.test result is fail1.
2.
3.
  
Actual results:
Test fails.  Here is the log
cdrecord: No write mode specified.
cdrecord: Asuming -tao mode.
cdrecord: Future versions of cdrecord may have different drive dependent 
defaults.
cdrecord: Continuing in 5 seconds...
scsidev: '/dev/scd0'
devname: '/dev/scd0'
scsibus: -2 target: -2 lun: -2
cdrecord: Invalid argument. Cannot set SG_SET_TIMEOUT.
Cdrecord-Clone 2.01a32-dvd (--) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to 
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this 
version.

WARNING: (/dev/scd0) CD-Writer test burn failed

WARNING: (/dev/scd0) CD-Writer test burn failed
+ interactive_CDROM 'scd0(cd-rw)'
+ process_dev 'scd0(cd-rw)'
+ unset cd_mode dvd_mode needs_eject translate_dev specify_dev atapi
echo "$1" | sed -e 's/(/ /g' -e 's/)/ /g' -e 's/,/ /g'
++ echo 'scd0(cd-rw)'
++ sed -e 's/(/ /g' -e 's/)/ /g' -e 's/,/ /g'
+ local -a 'line=(scd0 cd-rw )'
+ cdrom_drive=scd0
+ cdrecord_dev=/dev/scd0
+ local item=0
+ '[' 0 -lt 2 ']'
+ let ++item
+ '[' 1 -lt 2 ']'
+ cd_mode=cd-rw
+ let ++item
+ '[' 2 -lt 2 ']'
+ '[' -z cd-rw ']'
+ test_cd-rw
+ test_rewriter cdrom
+ echo '^M'
+ cdrecord dev=/dev/scd0 blank=fast
scsidev: '/dev/scd0'
devname: '/dev/scd0'
scsibus: -2 target: -2 lun: -2
cdrecord: Invalid argument. Cannot set SG_SET_TIMEOUT.
Cdrecord-Clone 2.01a32-dvd (--) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to 
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this 
version.
272856118689901027740979965865421470032

Expected results:

test passes when cdrom test is used.  Here is the log:

+ interactive_CDROM 'scd0(cdrom)'
+ process_dev 'scd0(cdrom)'
+ unset cd_mode dvd_mode needs_eject translate_dev specify_dev atapi
echo "$1" | sed -e 's/(/ /g' -e 's/)/ /g' -e 's/,/ /g'
++ echo 'scd0(cdrom)'
++ sed -e 's/(/ /g' -e 's/)/ /g' -e 's/,/ /g'
+ local -a 'line=(scd0 cdrom )'
+ cdrom_drive=scd0
+ cdrecord_dev=/dev/scd0
+ local item=0
+ '[' 0 -lt 2 ']'
+ let ++item
+ '[' 1 -lt 2 ']'
+ cd_mode=cdrom
+ let ++item
+ '[' 2 -lt 2 ']'
+ '[' -z cdrom ']'
+ test_cdrom
+ test_reader cdrom
+ mkdir -p ./tmp ./device
+ mount /dev/scd0 ./device
+ is_dvd cdrom scd0
+ '[' -b /dev/scd0 ']'
df -k -P /dev/$2 | tail -n1 | awk ' { print $3; } '
++ df -k -P /dev/scd0
++ tail -n1
++ awk ' { print $3; } '
+ local media_size=141510
+ '[' 141510 -gt 800000 ']'
+ '[' -d ./device/RedHat/RPMS ']'
+ cp -av ./device/RedHat/RPMS/anaconda-product-3-
2WS.noarch.rpm ./device/RedHat/RPMS/comps-3WS-
0.20050512.x86_64.rpm ./device/RedHat/RPMS/redhat-release-3WS-
13.5.1.x86_64.rpm ./device/RedHat/RPMS/TRANS.TBL ./tmp
`./device/RedHat/RPMS/anaconda-product-3-2WS.noarch.rpm' -> `./tmp/anaconda-
product-3-2WS.noarch.rpm'
`./device/RedHat/RPMS/comps-3WS-0.20050512.x86_64.rpm' -> `./tmp/comps-3WS-
0.20050512.x86_64.rpm'
`./device/RedHat/RPMS/redhat-release-3WS-13.5.1.x86_64.rpm' -> `./tmp/redhat-
release-3WS-13.5.1.x86_64.rpm'
`./device/RedHat/RPMS/TRANS.TBL' -> `./tmp/TRANS.TBL'
+ cd ./tmp
+ md5sum anaconda-product-3-2WS.noarch.rpm comps-3WS-0.20050512.x86_64.rpm 
redhat-release-3WS-13.5.1.x86_64.rpm TRANS.TBL
+ cd ./device/RedHat/RPMS
+ md5sum -c
anaconda-product-3-2WS.noarch.rpm: OK
comps-3WS-0.20050512.x86_64.rpm: OK
redhat-release-3WS-13.5.1.x86_64.rpm: OK
TRANS.TBL: OK
+ umount ./device
+ cd_cleanup
+ '[' -d ./tmp ']'
+ rm -rf ./tmp
+ '[' -d ./device ']'
+ rmdir ./device
+ '[' -d ./iso ']'
193663213159257548334466061232591660874

Additional info:

Comment 1 Will Woods 2005-07-25 16:17:44 UTC
The CDROM test has been changed to check to see if the drive requires SAO mode,
and sets it accordingly. 

Comment 2 Red Hat Bugzilla 2005-12-20 15:36:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-871.html



Note You need to log in before you can comment on or make changes to this bug.